package com.ss.android.ugc.aweme.legoImp.inflate;

import X.7xa;
import X.9Ft;
import X.9Fx;
import X.9GB;
import X.C4617Ejt;
import X.C4624Ek0;
import X.C4648EkO;
import X.C4649EkP;
import X.C4652EkS;
import X.OQZ;
import android.app.Activity;
import android.content.Context;
import android.view.View;
import com.bytedance.covode.number.Covode;
import java.util.List;

public class DmtStatusViewInflate implements 9GB {
    public OQZ LIZ;
    public C4617Ejt LIZIZ = new C4617Ejt((byte) 0);

    static {
        Covode.recordClassIndex(90352);
    }

    public final Class<? extends Activity> LIZ() {
        return null;
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "inflate_";
    }

    public void run(Context context) {
    }

    public int targetProcess() {
        return 1048575;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public 9Ft triggerType() {
        return 9Ft.INFLATE;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public final void LIZ(Context context, Activity activity) {
        try {
            if (7xa.LIZIZ(context)) {
                C4617Ejt ejt = new C4617Ejt((byte) 0);
                this.LIZIZ = ejt;
                this.LIZ = LIZ(context, (View.OnClickListener) ejt);
            }
        } catch (Exception unused) {
        }
    }

    public static OQZ LIZ(Context context, View.OnClickListener onClickListener) {
        C4649EkP ekP = new C4649EkP(context);
        ekP.LIZ(C4624Ek0.LIZ, C4652EkS.LIZ, new C4648EkO(context, onClickListener));
        ekP.LIZLLL(1);
        ekP.setUseScreenHeight(context.getResources().getDimensionPixelSize(2131165737));
        ekP.LIZJ(0);
        return ekP;
    }
}
